package com.iamberry.wechat.core.entity.agentInfo;

import java.util.Date;

/**
 * 代理商信息表
 * Created by liuzhiwei on 2017/10/12.
 */
public class AgentTooth implements java.io.Serializable{

    private static final long serialVersionUID = 9112955646979500166L;
    private Integer agentId;        //id
    private String agentName;      //名称
    private String agentAddr;      //地址
    private String agentTel;       //电话
    private Integer agentRoleId;    //角色名称
    private Date agentCreateDate;   //创建时间
    private Integer agentStatus;    //线下状态
    private String agentOpenid;     //微信openid

    public Integer getAgentId() {
        return agentId;
    }

    public void setAgentId(Integer agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getAgentAddr() {
        return agentAddr;
    }

    public void setAgentAddr(String agentAddr) {
        this.agentAddr = agentAddr;
    }

    public String getAgentTel() {
        return agentTel;
    }

    public void setAgentTel(String agentTel) {
        this.agentTel = agentTel;
    }

    public Integer getAgentRoleId() {
        return agentRoleId;
    }

    public void setAgentRoleId(Integer agentRoleId) {
        this.agentRoleId = agentRoleId;
    }

    public Date getAgentCreateDate() {
        return agentCreateDate;
    }

    public void setAgentCreateDate(Date agentCreateDate) {
        this.agentCreateDate = agentCreateDate;
    }

    public Integer getAgentStatus() {
        return agentStatus;
    }

    public void setAgentStatus(Integer agentStatus) {
        this.agentStatus = agentStatus;
    }

    public String getAgentOpenid() {
        return agentOpenid;
    }

    public void setAgentOpenid(String agentOpenid) {
        this.agentOpenid = agentOpenid;
    }
}
